namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 必选修查询(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_RequiredCourseController : BaseController<IGhre_RequiredCourseServices, Ghre_RequiredCourse, Ghre_RequiredCourseDto, InsertGhre_RequiredCourseInput, EditGhre_RequiredCourseInput>
{
    public Ghre_RequiredCourseController(IGhre_RequiredCourseServices service) : base(service)
    {
    }
}